#!/usr/bin/python
# coding=utf-8
 
# Les modules nécessaires sont importés et mis en place
import RPi.GPIO as GPIO
import time
 
GPIO.setmode(GPIO.BCM)
 
# La broche d'entrée du capteur est déclarée.
GPIO_PIN = 24
GPIO.setup(GPIO_PIN, GPIO.IN, pull_up_down = GPIO.PUD_UP)
 
# Pause avant l'envoi du résultat (en secondes)
delayTime = 0.5
 
print "Sensor-Test [Appuyez sur Ctrl + C pour terminer le test]"
 
# Boucle de programme principale
try:
        while True:
            if GPIO.input(GPIO_PIN) == True:
                print "Pas d'obstacle"
            else:
                print "Obstacle détecté"
            print "---------------------------------------"
 
            # Reset + Delay
            time.sleep(delayTime)
 
# réinitialisation de tous les GPIO en entrées
except KeyboardInterrupt:
        GPIO.cleanup()